function numberKey() {
    var row, i = 0, j = 0, buttonValue = 1;
    for (i = 1; i <= 4; i++) {
        var row = document.createElement("div");
        row.setAttribute("id", "row" + i);
        row.setAttribute("class","nopadding col-sm-11 col-xs-11 col-md-11 col-lg-11");
        document.getElementById("keyPadDiv").appendChild(row);
            for (j = 1; j <= 3; j++) {
                if (buttonValue < 10) {
                    var button = document.createElement("button");
                    button.setAttribute("id", "buttonId" + i + j);
                    button.setAttribute("class", "nopadding buttonClass make-it-slow col-sm-3 col-xs-3 col-md-3 col-lg-3 col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1");
                    button.style.backgroundImage="url('images/skin/Number_button.png')";
                    button.setAttribute("onclick", "displayNumber(this)");
                    button.innerHTML = buttonValue;
                    row.appendChild(button);
                    buttonValue++;
                }
                else {
                    if (buttonValue == 10) {
                        var button = document.createElement("button");
                        button.setAttribute("id", "buttonId" + i + j);
                        button.style.backgroundImage="url('images/skin/Number_button.png')";
                        button.setAttribute("onclick", "displayNumber(this)");
                        buttonValue = 0;
                        if (j == 2) {
							button.setAttribute("class", "nopadding buttonClass make-it-slow col-sm-3 col-xs-3 col-md-3 col-lg-3 col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1");
                            button.innerHTML = buttonValue;
                            row.appendChild(button);
                        }
                        else if (j == 3) {
                            button.setAttribute("class", "nopadding buttonClass glyphicon glyphiColor glyphicon-erase make-it-slow col-sm-3 col-xs-3 col-md-3 col-lg-3 col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1");
                            button.setAttribute("onclick", "clearText()");
                            row.appendChild(button);
                        }
                        else {
							button.setAttribute("class", "nopadding buttonClass make-it-slow col-sm-3 col-xs-3 col-md-3 col-lg-3 col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1");
                            button.innerHTML = " ";
                            button.style.visibility = "hidden";
                            row.appendChild(button);
                        }
                        buttonValue = 10;
                    }
                }
            }
	
	}
}

